X11Fonts {grDevices} | R Documentation

## X11 Fonts

### Description

These functions handle the translation of a device-independent R graphics font family name to an X11 font description.

### Usage

    X11Font(font)

    X11Fonts(...)

### Arguments

`font` | a character string containing an X11 font description.
`...` | either character strings naming mappings to display, or new (named) mappings to define.

### Details

These functions apply only to an `X11` device with `type = "Xlib"` – `X11(type = "Cairo"` uses a different mechanism to select fonts.

Such a device is created with a default font (see the documentation for `X11`), but it is also possible to specify a font family when drawing to the device (for example, see the documentation for `"family"` in `par` and for `"fontfamily"` in `gpar` in the grid package).

The font family sent to the device is a simple string name, which must be mapped to something more specific to X11 fonts. A list of mappings is maintained and can be modified by the user.

The `X11Fonts` function can be used to list existing mappings and to define new mappings. The `X11Font` function can be used to create a new mapping.

Default mappings are provided for three device-independent font family names: `"sans"` for a sans-serif font, `"serif"` for a serif font and `"mono"` for a monospaced font.

### See Also

`X11`

### Examples

    X11Fonts()
    X11Fonts("mono")
    utopia <- X11Font("-*-utopia-*-*-*-*-*-*-*-*-*-*-*-*")
    X11Fonts(utopia=utopia)

[Package grDevices version 2.8.1 Index]